opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
opensaml::saml1::BrowserSSOProfileValidator Class Reference

`#include <saml/saml1/profile/BrowserSSOProfileValidator.h>`

Inheritance diagram for opensaml::saml1::BrowserSSOProfileValidator:

## Public Member Functions
| BrowserSSOProfileValidator (const XMLCh *recipient, const std::vector< const XMLCh * > *audiences=nullptr, time_t ts=0)
| Constructor. More...
void | validateAssertion (const Assertion &assertion) const
| Type-safe validation method. More...
Public Member Functions inherited from opensaml::saml1::AssertionValidator
| AssertionValidator (const XMLCh *recipient, const std::vector< const XMLCh * > *audiences=nullptr, time_t ts=0)
| Constructor. More...
void | validate (const xmltooling::XMLObject *xmlObject) const
virtual void | validateCondition (const Condition *condition) const
| Condition validation. More...

## Additional Inherited Members
Protected Attributes inherited from opensaml::saml1::AssertionValidator
const XMLCh * | m_recipient
| Name of recipient (implicit audience). More...
const std::vector< const XMLCh * > * | m_audiences
| Additional audience values. More...
time_t | m_ts
| Timestamp to evaluate assertion conditions. More...

## Detailed Description

Deprecated:
  SAML 1.x Browser SSO Profile Assertion Validator

In addition to standard core requirements for validity, SSO assertions MUST have NotBefore/NotOnOrAfter attributes and each subject statement MUST be confirmable via bearer or artifact method.

## Constructor & Destructor Documentation

opensaml::saml1::BrowserSSOProfileValidator::BrowserSSOProfileValidator | ( | const XMLCh * | recipient,
|  | const std::vector< const XMLCh * > * | audiences = `nullptr`,
|  | time_t | ts = `0`
| ) |  |

Constructor.

name of assertion recipient (implicit audience)

Parameters

  audiences | additional audience values
  ts | timestamp to evaluate assertion conditions, or 0 to bypass check

## Member Function Documentation

void opensaml::saml1::BrowserSSOProfileValidator::validateAssertion | ( | const Assertion & | assertion | ) | const
| virtual

Type-safe validation method.

Parameters

  assertion | assertion to validate

Reimplemented from opensaml::saml1::AssertionValidator.

The documentation for this class was generated from the following file:

- saml/saml1/profile/BrowserSSOProfileValidator.h